Trouble Building Odalaunch from Source

Hey folks,

 

I'm one of those nerdy nerds who uses Linux every time I can, so I'm trying to build odamex from source. I got it, it works, but there's no odalaunch. The code for it is there, and the makefile is there, but when I run the makefile nothing happens. I also notice this in the wiki:

 

Quote

Once cmake finishes its job, run the following command:

  • If you want to build everything: make
  • If you want to build just the client: make odamex
  • If you want to build just the server: make odasrv
  • If you want to build just the master: make odamast
  • If you want to clean up your build tree: make clean

.... There is no "make odalaunch" option. Is there a reason for this? Is there a simple little switch somewhere so I can "turn on" the compiler for this code?

 

Thanks!

 

P.S. I'd be just as happy if someone could tell me how to install IDE or any other "universal" Doom multiplayer browser. IDE appears to be Windows-only though. :-\

1 person likes this

Share this post


Link to post
25 minutes ago, 42PercentHealth said:

P.S. I'd be just as happy if someone could tell me how to install IDE or any other "universal" Doom multiplayer browser. IDE appears to be Windows-only though. :-\

http://doomseeker.drdteam.org/download.php

Quote

Doomseeker may be installed through the package manager by adding the DRD Team package repository. Use the following command to add the repository to your sources list:


sudo apt-add-repository 'deb http://debian.drdteam.org/ stable multiverse'

You may then proceed to install the package doomseeker-<port name> for any port that you desire to use. Wadseeker packages are also provided as libwadseeker and libwadseeker-dev. For example:


sudo apt-get install doomseeker-chocolatedoom

Doomseeker will be available in the games category after installation. Ubuntu 14.04 LTS and later are supported for both 32-bit and 64-bit systems.

 

Share this post


Link to post

IDE and Doom Explorer are windows only but Doomseeker supports both Odamex and Zandronum. I believe Odalaunch has been depreciated and is no longer included, the documentation just needs to be updated.

1 person likes this

Share this post


Link to post
5 hours ago, Doomkid said:

IDE and Doom Explorer are windows only but Doomseeker supports both Odamex and Zandronum. I believe Odalaunch has been depreciated and is no longer included, the documentation just needs to be updated.

Really? I actually have Doomseeker already installed, but didn't realize it supported Odamex. Thank you kindly! :-D

Share this post


Link to post

Yeah, there's a very good chance I don't have the correct wx libraries. That's probably the issue right there. Thanks!

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now